{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/internal_account_user/mass_operation/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/internal_account_user/mass_operation/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% if accountUser.getAccountUserType().name == 'PROPERTY_PROVIDER' %}
            <a href="{{ path('external_user_account_user_property_provider_overview', fetch_merged_url_parameters_by_session_key_name('propertyProviderAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        {% elseif accountUser.getAccountUserType().name == 'PROPERTY_SEEKER' %}
            <a href="{{ path('external_user_account_user_property_seeker_overview', fetch_merged_url_parameters_by_session_key_name('propertyProviderAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        {% endif %}
        <span class="text-primary fs-5 align-self-center">Benutzer:innen löschen <span class="text-secondary">({{ accountUsers|length }})</span></span>
        {{ form_widget(accountUserMassOperationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': accountUserMassOperationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto delete-button align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h1 class="fs-4 d-flex align-items-center">
                    <span class="material-icons me-2 text-danger">warning_amber</span>
                    Die Benutzer:innen und alle verknüpften Daten werden unwiderruflich gelöscht.
                </h1>
                <p>
                    Um die ausgewählten Benuter:innen endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                    <span class="delete-code">benutzer_{{ accountUsers|length }}</span>
                </p>
                {{ form_start(accountUserMassOperationDeleteForm, {'attr': {'id': accountUserMassOperationDeleteForm.vars.id ~ '_form', 'autocomplete': 'off'}}) }}
                {{ form_row(accountUserMassOperationDeleteForm.verificationCode) }}
                {{ form_row(accountUserMassOperationDeleteForm.selectedRowIds) }}
                {{ form_row(accountUserMassOperationDeleteForm._token) }}
                {{ form_end(accountUserMassOperationDeleteForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="mdc-card mb-4">
            {% include 'configuration/component/internal_account_user/internal_account_user_list_component.html.twig' with {
                'idPrefix': 'internal_account_user_',
                'listItems': accountUsers,
                'showEditButton': false,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
